* program: 6-mp.pieceexp-v92.sas
* xref:    Cox & Oakes table 1.1
* input:   6-MP   DATA A
* output:
* does: - demonstrate proc lifereg for fitting piecewise exponential model
***************************************************;
options nocenter linesize=80 pagesize=60 errors=3;
title1 '';
***************************************************;
data A;
  infile 'H:\bios180\coursepack\SAS-unc-workshop-2008\6-mp.dat';
  input time delta group;
  label
    time  = 'Follow-up time (weeks)'         
    delta = 'Event: 0=censored 1=observed'
    group = 'Group: 0=control  1=drug'
  ;
run;
***************************************************;
data B;
 set A;	
 int=min(3,ceil(time/9));
 do j=1 to int;
   surv=9;
   event=0;
   if j=int and delta=1 then do;
      event=1;
      surv=time-9*(int-1);
   end;
   if j=int and delta=0 then do;
      surv=time-9*(int-1);
   end;   
   output;
 end;
run;
***************************************************;
proc lifereg data = B;
  class j;
  model surv * event(0) = group j /distribution = exponential;
run;
***************************************************;

