options nocenter linesize=80;

data a;
  infile 'H:\bios180\coursepack\SAS-unc-workshop-2008\fhs-data.dat';
  input id agev1 age45 bmi45 chol45 sbp45 dbp45 
  hbp smoke sex deltachd agechd deltachdd deltachf agechf 
  deltacva agecva deltacvad deltad aged wait blood unit;
run;

proc contents;
run;

proc print data=a(obs=20);
run;

proc freq data=a;
table deltachd deltacva deltachd*deltacva;
run;

data data_chd (keep=id age45 bmi45 chol45 sbp45 smoke sex time status disease wait);
set a;
time=agechd-age45;
status=deltachd;
disease=1;
run;

data data_cva (keep=id age45 bmi45 chol45 sbp45 smoke sex time status disease wait);
set a;
time=agecva-age45;
status=deltacva;
disease=2;
run;

data combined;
set data_chd data_cva;
run;

proc sort data=combined;
by id;
run;

proc print data=combined(obs=10);
run;

proc phreg data=data_chd;
  model time*status(0)=age45 bmi45 wait;
run;

proc phreg data=data_cva; 
  model time*status(0)=age45 bmi45 wait;
run;

proc phreg data=combined covs(aggregate);
  model time*status(0)=age45chd age45cva bmi45chd bmi45cva waitchd waitcva;
  age45chd=age45*(disease=1);
  age45cva=age45*(disease=2);
  bmi45chd=bmi45*(disease=1);
  bmi45cva=bmi45*(disease=2);
  waitchd=wait*(disease=1);
  waitcva=wait*(disease=2);
  id id;
  strata disease;
  age: test age45chd=age45cva/average e;
run;

proc phreg data=combined covs(aggregate);
  model time*status(0)=age45 bmi45chd bmi45cva waitchd waitcva;
  bmi45chd=bmi45*(disease=1);
  bmi45cva=bmi45*(disease=2);
  waitchd=wait*(disease=1);
  waitcva=wait*(disease=2);
  id id;
  strata disease;
  bmi_equal: test bmi45chd=bmi45cva/average e;
  bmi: test bmi45chd, bmi45cva/average e;
run;


