* program: lifereg-v92.sas
* xref:    Cox & Oakes table 1.1
* input:   6-MP  
* output:
* does: - demonstrate proc lifereg - estimation and testing
          (accelerated lifetime models)
***************************************************;
options nocenter pagesize=53 ls=80 errors=3;
title1 '';
***************************************************;
data A;
  infile 'H:\bios180\coursepack\SAS-unc-workshop-2008\6-mp.dat';
  input time delta group;
  label
    time  = 'Follow-up time (weeks)'
    delta = 'Event: 0=censored 1=observed'
    group = 'Group: 0=control  1=drug'
  ;
***************************************************;
proc sort;
by group;
run;
***************************************************;
proc lifereg data = A;
  model time * delta(0) = /distribution = exponential;
  title2 'proc lifereg: pooled sample';
***************************************************;
proc lifereg data = A;
  model time * delta(0) = /distribution = exponential;
  by group;
  title2 'proc lifereg: by group (exponential)';
***************************************************;
proc lifereg data=A;
  model time * delta(0) = /distribution = weibull;
  by group;
  title2 'proc lifereg: by group (weibull)';
***************************************************;
proc lifereg data=A; 
  model time * delta(0) = group /distribution = weibull;
  title2 'proc lifereg: model time * delta (0) = group';
***************************************************;
run;
