* LIFETEST SAS
* xref:  Cox & Oakes table 1.1
* input:   6-MP   DATA A
* output:
* does: - demonstrate proc lifetest - KM estimates and plots
***************************************************;
options nodate ls=80 pageno=min center;

data A;
  infile 'H:\bios180\coursepack\SAS-unc-workshop-2008\6-mp.dat';
  input time delta group;
  label
    time  = 'Follow-up time (weeks)'
    delta = 'Event: 0=censored 1=observed'
    group = 'Group: 0=control  1=drug'
  ;
  list;
  run;

ods graphics on;
proc lifetest data=A outsurv=B plots=survival(strata=overlay) 
  plots=logsurv plots=loglogs;
time time*delta(0);
strata group;
run;

proc lifetest data=A plots=survival(cl cb=hw strata=panel); 
time time*delta(0);
strata group;
run;

proc lifetest data=A plots=hazard(bw=3,kernel=E);
time time*delta(0);
strata group;
run;

ods graphics off;

proc lifetest data=A;
time time*delta(0);
strata /group=group test=(all);
run;

proc lifetest data = A;
time time*delta(0); 
strata /group=group test=(fleming(0.5,0.5) peto);
run;

